Page MenuHomePhabricator

Drawers are not fixed to the bottom of the page anymore
Closed, ResolvedPublic

Description

Make sure you're logged out and the page you're looking at has a vertical scroll bar (i.e. you need to scroll down to see the bottom of the page). Click on the watchstar icon, you'll see a new login drawer at bottom of the screen. Scroll down and you'll see the drawer scroll up. Happens with other drawers (for example, wikigrok version C) too.

Also set closeOnScroll to false in Drawer.js. Otherwise the Drawer just disappears on scroll.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterHygiene: Fix add of no-position-fixed

Event Timeline

bmansurov raised the priority of this task from to Needs Triage.
bmansurov updated the task description. (Show Details)
bmansurov added a project: Readers-Web-Backlog.
bmansurov added a subscriber: bmansurov.
bmansurov updated the task description. (Show Details)Dec 24 2014, 12:34 AM
bmansurov set Security to None.

So in summary this only effects font changer and WikiGrokDialogC so not as big a concern as I thought straight away

Florian claimed this task.Dec 26 2014, 8:30 PM

Change 181874 had a related patch set uploaded (by Florianschmidtwelzow):
Hygiene: Fix add of no-position-fixed

https://gerrit.wikimedia.org/r/181874

Patch-For-Review

So in summary this only effects font changer and WikiGrokDialogC so not as big a concern as I thought straight away

The fixed header in Overlays and fixed footers (e.g. TalkOberlay read as wiki page link and the all notifications link in NotificationOverlay) doesn't work anymore, too. All fixed elements shouldn't work.

Change 181874 merged by jenkins-bot:
Hygiene: Fix add of no-position-fixed

https://gerrit.wikimedia.org/r/181874

Florian closed this task as Resolved.Dec 29 2014, 11:12 AM